SDL_REVISION(3)

NAME
SDL_REVISION - This macro is a string describing the source at a particular point in development.

HEADER FILE
Defined in SDL3/SDL_revision.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_REVISION SomearbitrarystringdecidedatSDLbuildtime"

DESCRIPTION
This string is often generated from revision control's state at build time. This string can be quite complex and does not follow any standard. For example, it might be something like "SDL-prerelease-3.1.1-47-gf687e0732". It might also be user-defined at build time, so it's best to treat it as a clue in debugging forensics and not something the app will parse in any way.

AVAILABILITY
This macro is available since SDL 3.0.0.